Package org.eclipse.mat.internal.snapshot

# Class SnapshotArgument

java.lang.Object
org.eclipse.mat.internal.snapshot.SnapshotArgument

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `ArgumentFactory`

public class SnapshotArgument extends Object implements ArgumentFactory, Closeable

## Constructor Summary

Constructors
Constructor
Description
`SnapshotArgument(String filename)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendUsage(StringBuilder buf)`
`Object`
`build(ArgumentDescriptor descriptor)`
`void`
`close()`
Tidy up and dispose of any snapshot obtained from build.
`String`
`getFilename()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnapshotArgument

public SnapshotArgument(String filename)

## Method Details

### getFilename

public String getFilename()

### appendUsage

public void appendUsage(StringBuilder buf)

Specified by:
  `appendUsage` in interface `ArgumentFactory`

### build

public Object build(ArgumentDescriptor descriptor) throws SnapshotException

Specified by:
  `build` in interface `ArgumentFactory`
Throws:
  `SnapshotException`

### close

public void close()
Tidy up and dispose of any snapshot obtained from build.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`